org.apache.flume.lifecycle

## Class LifecycleSupervisor.Status

- java.lang.Object
- - org.apache.flume.lifecycle.LifecycleSupervisor.Status

- Enclosing class:
    LifecycleSupervisor

      public static class LifecycleSupervisor.Status
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `LifecycleState` | `desiredState`
    `boolean` | `discard`
    `boolean` | `error`
    `int` | `failures`
    `Long` | `firstSeen`
    `Long` | `lastSeen`
    `LifecycleState` | `lastSeenState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleSupervisor.Status()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### firstSeen

          public Long firstSeen

    - #### lastSeen

          public Long lastSeen

    - #### lastSeenState

          public LifecycleState lastSeenState

    - #### desiredState

          public LifecycleState desiredState

    - #### failures

          public int failures

    - #### discard

          public boolean discard

    - #### error

          public volatile boolean error

  - ### Constructor Detail

    - #### LifecycleSupervisor.Status

          public LifecycleSupervisor.Status()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.